<!-- balance 余额明细 -->
<template>
    <div>
        <div class="mb20">
            <el-input clearable class="w200 mr20" v-model="search_data.search"
                      placeholder="流水号/账号/会员" style="width:57px"></el-input>
            <el-select clearable class="mr20 w200" v-model="search_data.type" placeholder="请选择类型">
                <el-option label="请选择类型" value></el-option>
                <el-option v-for="item in  GetBaseData('finance','credit1')" :key="item.id" :label="item.name"
                           :value="item.id"></el-option>
                 <el-option label="支付宝" value="alipay"></el-option>
                <el-option label="微信" value="wechat"></el-option>
            </el-select>

            <el-date-picker value-format="yyyy-MM-dd" v-model="search_data.start_end" type="daterange"
                            range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期">
            </el-date-picker>
            <a href="#" id="today" v-bind:class="{'cliked' : todayClicked , 'blank' : !todayClicked }" @click="quickFilterDay(1,'today','today')"> 今日</a>
            <a href="#" id="yesterday" v-bind:class="{'cliked' : yesterdayClicked , 'blank' : !yesterdayClicked }"@click="quickFilterDay(1,'min','yesterday')"> 昨日</a>
             <a href="#" id="sevenday" v-bind:class="{'cliked' : sevendaysClicked , 'blank' : !sevendaysClicked }" @click="quickFilterDay(7,'add','sevenday')"> 最近7日</a>
            <a href="#" id="allday" v-bind:class="{'cliked' : alldaysClicked , 'blank' : !alldaysClicked }"@click="quickFilterDay(30,'add','allday')"> 最近30日</a>
           
           


            <el-tag class="ml5">总记录 : {{m_page.total}}</el-tag>
            <el-tag class="ml5">总金额 : {{total_amount}}</el-tag>

        </div>
        <div class="mb10">
            <el-input v-if="!isSeller" clearable class="w250 mr20" v-model="search_data.searchSeller"
                      placeholder="检查卖家日志"></el-input>

            &nbsp;
            <el-checkbox v-if="!isSeller" v-model="search_data.seller_only" @change="sellerOnly()">仅显示卖家日志</el-checkbox>

            <el-checkbox  v-if="!isSeller" v-model="search_data.admin_only" @change="adminOnly()">仅显示官方日志</el-checkbox>

            <div class="mb10 mt10"></div>

            <el-input clearable class="w250 mr20" v-model="search_data.amount.from"
                      placeholder="Amount From"></el-input>

            <el-input clearable class="w250 mr20" v-model="search_data.amount.to"
                      placeholder="Amount To"></el-input>

            <el-button class="ml10" icon="el-icon-search" size="small" type="primary" @click="m_search">搜索</el-button>
            <el-button class="ml10" icon="el-icon-download" size="small" type="primary" @click="m_search_export">下载Excel</el-button>


        </div>

        <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading"
                  @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" border
                  :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
            <!-- <el-table-column align="center" type="selection" width="55"></el-table-column> -->
            <el-table-column align="center" width="200" prop="record_no" label="流水号"></el-table-column>
            <el-table-column width="160px" align="center" prop="name" label="账号">
                <template slot-scope="props">
                    {{props.row.userName ? props.row.userName : props.row.adminName}}
                </template>
            </el-table-column>

            <el-table-column align="center" prop="realname" label="会员"></el-table-column>
            <el-table-column align="center" prop="type" label="类型">
                <template slot-scope="scope">{{scope.row.type | BaseData('finance','credit1')}}</template>
            </el-table-column>


            <el-table-column width="160px" align="center" prop="amount" label="变动量"></el-table-column>
            <el-table-column width="160px" align="center" prop="balance" label="变动后">
                <template slot-scope="props">
                    {{ props.row.balance.toFixed(2) }}
                </template>
            </el-table-column>
            <el-table-column align="center" prop="remark" label="备注"></el-table-column>
            <el-table-column align="center" prop="created_at" label="时间"></el-table-column>

        </el-table>

        <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total"
                @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>
    </div>
</template>

<script>
    import * as api from '@/api'

    export default {
        name: 'cow',
        data() {
            return {
                todayClicked : false ,
                yesterdayClicked : false,
                sevendaysClicked : false,
                alldaysClicked:false,
                
                search_data: {
                    searchSeller: '',
                    search: '',
                    type: '',
                    start_end: [],
                    seller_only: false,
                    admin_only: false,
                    amount: {
                        from: '',
                        to: '',
                    },
                },
                userInfo: [],
                isSeller: false,
                total_amount: null,
            }
        },
        created() {
            this.init()
        },
        methods: {
            //初始化方法
            init() {
                this.userInfo = sessionStorage.userInfo && JSON.parse(sessionStorage.userInfo) || {};
                console.log(this.userInfo);
                console.log(this.userInfo.seller);
                if(this.userInfo.seller) {
                    this.isSeller = true
                }
                this.getDatalist()
                
               
            },
            sellerOnly() {
                console.log('seller only');
                console.log(this.search_data.seller_only);
                if (this.search_data.seller_only) {
                    this.search_data.admin_only = false
                }
            },
            adminOnly() {
                console.log('seller only');
                console.log(this.search_data.admin_only);
                if (this.search_data.admin_only) {
                    this.search_data.seller_only = false
                }
            },
            //获取数据信息
            getDatalist() {
                this.m_tableLoading = true;
                let data = Object.assign(this.search_data, this.m_page);

                api.finance_credit1(data).then(res => {
                    //console.log(res)
                    this.m_list = res.data.result.data;
                    this.m_page.total = res.data.result.total;
                    this.total_amount = res.data.total_amount;
                }).finally(() => {
                    this.m_tableLoading = false
                })
            },

            exportData() {
                this.m_tableLoading = true;
                let data = Object.assign(this.search_data, this.m_page);

                api.finance_credit1_export(data).then(res => {
                    console.log(res)
                    window.open(res.data);
                    // this.m_list = res.data.data
                    // this.m_page.total = res.data.total

                }).finally(() => {
                    this.m_tableLoading = false
                })
            },

            quickFilterDay(days, operation, button_id) { 
                this.search_data.start_end = []
                if(button_id == 'today') { 
                    this.yesterdayClicked = false
                    this.sevendaysClicked = false
                    this.alldaysClicked = false
                    this.todayClicked = true
                }
                else if (button_id == 'yesterday') { 
                    this.sevendaysClicked = false
                    this.alldaysClicked = false
                    this.todayClicked = false
                    this.yesterdayClicked = true
                }  
                else if (button_id == 'sevenday') { 
                    this.alldaysClicked = false
                    this.todayClicked = false
                    this.yesterdayClicked = false
                    this.sevendaysClicked = true
                }
                else if (button_id == "allday") { 
                    this.todayClicked = false
                    this.yesterdayClicked = false
                    this.sevendaysClicked = false
                    this.alldaysClicked = true
                }

                var today = new Date()
                var add_days = null
                var after_add_days = null
                 var now = today.getFullYear()+'-'+(today.getMonth()+1)+'-'+today.getDate();

                if (operation == "add") { 
                    add_days = today.setDate(today.getDate() + days) 
                    after_add_days = new Date(add_days)
                     var result = after_add_days.getFullYear()+'-'+(after_add_days.getMonth()+1)+'-'+after_add_days.getDate();
                      this.search_data.start_end.push(now) 
                      this.search_data.start_end.push(result)
                       console.log(now, result) 
                   
                }
                else if (operation == "min") {
                      add_days = today.setDate(today.getDate() - days) 
                      after_add_days = new Date(add_days)
                        var result = after_add_days.getFullYear()+'-'+(after_add_days.getMonth()+1)+'-'+after_add_days.getDate();
                       this.search_data.start_end.push(result)
                        this.search_data.start_end.push(now)
                       console.log(now, result)
                }   
                else { 
                    this.search_data.start_end.push(now)
                    this.search_data.start_end.push(now)
                     console.log('today')
                }
                console.log("hasil",this.search_data.start_end)
                
                              
            }

        },
    }

</script>
<style lang='scss' scoped>
 .blank  { 
    margin-left : 5px ; 
    margin-right: 5px;
    color:black;
  }
  .clicked  { 
    margin-left : 5px ; 
    margin-right: 5px;
    color:cadetblue;
  }
</style>